---
title: Register or update a receiving account for the  application
slug: payment/register-or-update-a-receiving-account-for-the-application
docTags: 
createdAt: 2025-06-10T04:31:44.580Z
---

:::ApiMethodV2
```json
{
  "name": "accounts",
  "method": "POST",
  "url": "https://api-sandbox.klavi.ai/payment/management/v1/merchants/{appId}/accounts",
  "description": "Register a receiving account for the  application",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "1wPd3D2g39iqh0mJKSS9Y",
        "language": "curl",
        "code": "curl --location --globoff 'https://api-sandbox.klavi.ai/payment/management/v1/merchants/{appId}/accounts/{appId}' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--data '{\n  \"ispb\": \"String\",\n  \"issuer\": \"String\",\n  \"number\": \"String\",\n  \"accountType\": \"String\",\n  \"proxy\": \"String\",\n  \"holder\": {\n    \"identifier\": \"\",\n    \"name\": \"\",\n    \"identifierType\": \"\"\n  }\n}'",
        "customLabel": ""
      },
      {
        "id": "S9gF005cBCEW3-yBj4ukY",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'POST',\n   'url': 'https://api-sandbox.klavi.ai/payment/management/v1/merchants/{appId}/accounts/{appId}',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   },\n   body: JSON.stringify({\n      \"ispb\": \"String\",\n      \"issuer\": \"String\",\n      \"number\": \"String\",\n      \"accountType\": \"String\",\n      \"proxy\": \"String\",\n      \"holder\": {\n         \"identifier\": \"\",\n         \"name\": \"\",\n         \"identifierType\": \"\"\n      }\n   })\n\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "2Sc3UU2BvYASyRapv-aOX",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"ispb\": \"String\",\n   \"issuer\": \"String\",\n   \"number\": \"String\",\n   \"accountType\": \"String\",\n   \"proxy\": \"String\",\n   \"holder\": {\n      \"identifier\": \"\",\n      \"name\": \"\",\n      \"identifierType\": \"\"\n   }\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api-sandbox.klavi.ai/payment/management/v1/merchants/{appId}/accounts/{appId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "bd6iHLW0P-7QgQBMSsuHV",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://api-sandbox.klavi.ai/payment/management/v1/merchants/{appId}/accounts/{appId}\"\n\npayload = json.dumps({\n   \"ispb\": \"String\",\n   \"issuer\": \"String\",\n   \"number\": \"String\",\n   \"accountType\": \"String\",\n   \"proxy\": \"String\",\n   \"holder\": {\n      \"identifier\": \"\",\n      \"name\": \"\",\n      \"identifierType\": \"\"\n   }\n})\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "eDQSeU3H9zPUxBXkivbHk",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api-sandbox.klavi.ai/payment/management/v1/merchants/{appId}/accounts/{appId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"ispb\": \"String\",\n   \"issuer\": \"String\",\n   \"number\": \"String\",\n   \"accountType\": \"String\",\n   \"proxy\": \"String\",\n   \"holder\": {\n      \"identifier\": \"\",\n      \"name\": \"\",\n      \"identifierType\": \"\"\n   }\n})\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "1wPd3D2g39iqh0mJKSS9Y"
  },
  "results": {
    "languages": [
      {
        "id": "eUHmGClPOlM0oAwRNoxEx",
        "language": "201",
        "customLabel": "",
        "code": ""
      }
    ],
    "selectedLanguageId": "eUHmGClPOlM0oAwRNoxEx"
  },
  "request": {
    "pathParameters": [
      {
        "name": "appId",
        "kind": "required",
        "type": "string",
        "description": "The appId of merchant",
        "": "The appId of merchant"
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "Bearer access token, it returned by the /auth",
        "": "Bearer access token, it returned by the /auth"
      }
    ],
    "bodyDataParameters": [
      {
        "name": "ispb",
        "kind": "required",
        "type": "string",
        "description": "It must be filled in with the ISPB (Brazilian Payment System Identifier) of the SPI participant (Instant Payment System) with numbers only.\nminLength: 8\nmaxLength: 8\npattern: ^[0-9]{8}$\nexample: 12345678",
        "": "It must be filled in with the ISPB (Brazilian Payment System Identifier) of the SPI participant (Instant Payment System) with numbers only.\nminLength: 8\nmaxLength: 8\npattern: ^[0-9]{8}$\nexample: 12345678"
      },
      {
        "name": "issuer",
        "kind": "optional",
        "type": "string",
        "description": "Code of the Agency issuing the account without digit.  (Agency is the dependency intended to serve customers, the general public and the members of credit cooperatives, in the exercise of activities of the institution, and may not be mobile or transitory).\n [Restriction] Mandatory for the following account types: CACC (CONTA_DEPOSITO_A_VISTA) and SVGS (CONTA_POUPANCA).\nminLength: 1\nmaxLength: 4\npattern: ^[0-9]{1,4}$\nexample: 1774",
        "": "Code of the Agency issuing the account without digit.  (Agency is the dependency intended to serve customers, the general public and the members of credit cooperatives, in the exercise of activities of the institution, and may not be mobile or transitory).\n [Restriction] Mandatory for the following account types: CACC (CONTA_DEPOSITO_A_VISTA) and SVGS (CONTA_POUPANCA).\nminLength: 1\nmaxLength: 4\npattern: ^[0-9]{1,4}$\nexample: 1774"
      },
      {
        "name": "number",
        "kind": "required",
        "type": "string",
        "description": "It must be filled in with the account number of the receiving user, with verification digit (if any), if there is an alphanumeric value, it should be converted to 0.\nminLength: 1\nmaxLength: 20\npattern: ^[0-9]{1,20}$\nexample: 1234567890",
        "": "It must be filled in with the account number of the receiving user, with verification digit (if any), if there is an alphanumeric value, it should be converted to 0.\nminLength: 1\nmaxLength: 20\npattern: ^[0-9]{1,20}$\nexample: 1234567890"
      },
      {
        "name": "accountType",
        "kind": "required",
        "type": "string",
        "description": "Types of accounts used for payment. \nTraditional arrangements provided for by Resolution 4.753, excluding linked accounts, overseas domiciled accounts, foreign currency accounts and corresponding electronic currency accounts. The following is a description of each ENUM value.\n\nCACC - Current Account.\nSVGS - Savings.\nTRAN - TransactingAccount - Prepaid Payment Account.\n\nEnum:\n [ CACC , SVGS , TRAN ]\n\nexample: CACC",
        "": "Types of accounts used for payment. \nTraditional arrangements provided for by Resolution 4.753, excluding linked accounts, overseas domiciled accounts, foreign currency accounts and corresponding electronic currency accounts. The following is a description of each ENUM value.\n\nCACC - Current Account.\nSVGS - Savings.\nTRAN - TransactingAccount - Prepaid Payment Account.\n\nEnum:\n [ CACC , SVGS , TRAN ]\n\nexample: CACC"
      },
      {
        "name": "proxy",
        "kind": "required",
        "type": "string",
        "description": "Pix key",
        "": "Pix key"
      },
      {
        "name": "holder",
        "kind": "required",
        "type": "object",
        "description": "",
        "": "required",
        "children": [
          {
            "name": "identifier",
            "kind": "required",
            "type": "string",
            "description": ""
          },
          {
            "name": "name",
            "kind": "required",
            "type": "string",
            "description": ""
          },
          {
            "name": "identifierType",
            "kind": "required",
            "type": "string",
            "description": ""
          }
        ],
        "schema": [
          {
            "name": "identifier",
            "kind": "required",
            "type": "string",
            "description": ""
          },
          {
            "name": "name",
            "kind": "required",
            "type": "string",
            "description": ""
          },
          {
            "name": "identifierType",
            "kind": "required",
            "type": "string",
            "description": ""
          }
        ]
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "response": [],
  "autoGeneratedAnchorSlug": "accounts",
  "legacyHash": "xyeRMQdRp_yl2OMGvUtv0"
}
```
:::



